> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /realtorca/properties/search

> Search Canadian MLS® listings on REALTOR.ca by area (geo ID, city or map bounding box) with the full REALTOR.ca filter surface: residential or commercial inventory, for sale / for rent / sold, property and building type, ownership, zoning, parking, farm type, price, rent, bedrooms, bathrooms, storeys, interior and building size, lot size, unit count, maintenance fee, property tax, construction year, listing age and free-text keywords.

**Price:** 20 credits per 200 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/realtorca/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/realtorca/properties/search:
    post:
      tags:
        - /realtorca
      summary: /realtorca/properties/search
      description: >-
        Search Canadian MLS® listings on REALTOR.ca by area (geo ID, city or map
        bounding box) with the full REALTOR.ca filter surface: residential or
        commercial inventory, for sale / for rent / sold, property and building
        type, ownership, zoning, parking, farm type, price, rent, bedrooms,
        bathrooms, storeys, interior and building size, lot size, unit count,
        maintenance fee, property tax, construction year, listing age and
        free-text keywords.


        **Price:** 20 credits per 200 results
      operationId: __api_realtorca_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RealtorcaPropertiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RealtorcaListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RealtorcaPropertiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          maximum: 600
          minimum: 1
        geo_id:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        latitude_min:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        latitude_max:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        longitude_min:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        longitude_max:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        search_type:
          $ref: '#/components/schemas/RealtorcaSearchType'
          default: residential
        transaction_type:
          $ref: '#/components/schemas/RealtorcaTransactionType'
          default: for_sale
        sort:
          $ref: '#/components/schemas/RealtorcaListingSort'
          default: newest
        culture:
          $ref: '#/components/schemas/RealtorcaCulture'
          default: en
        currency:
          $ref: '#/components/schemas/RealtorcaCurrency'
          default: CAD
        property_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaPropertyType'
            - type: 'null'
        building_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaBuildingType'
            - type: 'null'
        ownership_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaOwnershipType'
            - type: 'null'
        zoning_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaZoningType'
            - type: 'null'
        parking_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaParkingType'
            - type: 'null'
        farm_type:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaFarmType'
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        rent_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        rent_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        beds_min:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 0
            - type: 'null'
        beds_max:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 0
            - type: 'null'
        baths_min:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 0
            - type: 'null'
        baths_max:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 0
            - type: 'null'
        storeys_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        storeys_max:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        square_footage_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        square_footage_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        building_size_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        building_size_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        land_size_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        land_size_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        unit_count_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        unit_count_max:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        parking_space_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        parking_space_max:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        maintenance_fee_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        maintenance_fee_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        property_tax_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        property_tax_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        year_built_min:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1800
            - type: 'null'
        year_built_max:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1800
            - type: 'null'
        listed_within_days:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        sold_within_days:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        open_houses_only:
          type: boolean
          default: false
        live_streams_only:
          type: boolean
          default: false
        keywords:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - count
    RealtorcaListing:
      properties:
        '@type':
          type: string
          default: RealtorcaListing
        id:
          type: string
        mls_number:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        status_id:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        display_price:
          anyOf:
            - type: string
            - type: 'null'
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        ownership_type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        province:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        community_name:
          anyOf:
            - type: string
            - type: 'null'
        neighbourhood:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bedrooms:
          anyOf:
            - type: string
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        storey_count:
          anyOf:
            - type: number
            - type: 'null'
        building_type:
          anyOf:
            - type: string
            - type: 'null'
        size_interior:
          anyOf:
            - type: string
            - type: 'null'
        size_interior_sqft:
          anyOf:
            - type: number
            - type: 'null'
        building_amenities:
          items:
            type: string
          type: array
          default: []
        parking_type:
          items:
            type: string
          type: array
          default: []
        parking_space_count:
          anyOf:
            - type: integer
            - type: 'null'
        amenities_nearby:
          items:
            type: string
          type: array
          default: []
        land_size:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        time_on_realtor:
          anyOf:
            - type: string
            - type: 'null'
        business:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaBusiness'
            - type: 'null'
        agents:
          items:
            $ref: '#/components/schemas/RealtorcaIndividualRef'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RealtorcaSearchType:
      type: string
      enum:
        - residential
        - commercial
    RealtorcaTransactionType:
      type: string
      enum:
        - for_sale
        - for_rent
        - sold
    RealtorcaListingSort:
      type: string
      enum:
        - newest
        - oldest
        - lowest_price
        - highest_price
    RealtorcaCulture:
      type: string
      enum:
        - en
        - fr
    RealtorcaCurrency:
      type: string
      enum:
        - CAD
        - USD
    RealtorcaPropertyType:
      type: string
      enum:
        - any
        - residential
        - condo_strata
        - vacant_land
        - recreational
        - multi_family
        - agriculture
        - parking
        - business
        - retail
        - industrial
        - office
        - hospitality
        - institutional
    RealtorcaBuildingType:
      type: string
      enum:
        - house
        - row_townhouse
        - apartment
        - duplex
        - triplex
        - fourplex
        - garden_home
        - mobile_home
        - manufactured_home_mobile
        - special_purpose
        - residential_commercial_mix
        - manufactured_home
        - commercial_apartment
        - two_apartment_house
        - park_model_mobile_home
        - floathome
        - modular
        - offices
        - multi_family
        - retail
        - warehouse
        - flex_facility
        - multi_tenant_industrial
        - commercial_mix
        - other
    RealtorcaOwnershipType:
      type: string
      enum:
        - any
        - freehold
        - condo_strata
        - timeshare_fractional
        - leasehold
    RealtorcaZoningType:
      type: string
      enum:
        - agricultural
        - commercial_mixed
        - commercial_office
        - commercial_retail
        - industrial
        - industrial_heavy
        - industrial_light
        - industrial_medium
        - institutional
        - other
        - recreational
        - residential_high_density
        - residential_low_density
        - residential_medium_density
    RealtorcaParkingType:
      type: string
      enum:
        - additional_parking
        - attached_garage
        - boat_house
        - carport
        - concrete
        - covered
        - detached_garage
        - garage
        - heated_garage
        - indoor
        - integrated_garage
        - open
        - parking_pad
        - paved_yard
        - underground
    RealtorcaFarmType:
      type: string
      enum:
        - animal
        - boarding
        - cash_crop
        - feed_lot
        - greenhouse
        - hobby_farm
        - market_gardening
        - mixed
        - nursery
        - orchard
        - vineyard
    RealtorcaBusiness:
      properties:
        '@type':
          type: string
          default: RealtorcaBusiness
        type:
          anyOf:
            - type: string
            - type: 'null'
        sub_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RealtorcaIndividualRef:
      properties:
        '@type':
          type: string
          default: RealtorcaIndividualRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        position:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        websites:
          items:
            type: string
          type: array
          default: []
        phones:
          items:
            $ref: '#/components/schemas/RealtorcaPhone'
          type: array
          default: []
        organization:
          anyOf:
            - $ref: '#/components/schemas/RealtorcaOrganizationRef'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    RealtorcaPhone:
      properties:
        '@type':
          type: string
          default: RealtorcaPhone
        type:
          anyOf:
            - type: string
            - type: 'null'
        number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RealtorcaOrganizationRef:
      properties:
        '@type':
          type: string
          default: RealtorcaOrganizationRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        designation:
          anyOf:
            - type: string
            - type: 'null'
        organization_type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        phones:
          items:
            $ref: '#/components/schemas/RealtorcaPhone'
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````